#! perl

use strict;
use warnings;

sub define ($) { defined $_[0] ? $_[0] : '' }

my $dir = define shift @ARGV;
if ($dir eq '') {
  print "Usage: $0 new_directory_name\n";
  exit 1;
}

rename "./images", "./$dir-images" or die;
rename "./impulse_responses", "./$dir-impulse_responses" or die;
rename "./out", "./$dir-out" or die;

mkdir "./images" or die;
mkdir "./impulse_responses" or die;
mkdir "./out" or die;
